Space Codes
Space Code objects
This operation returns a single space code by its identifier.
Note: This operation needs Authentication and supports the following JSON:API features:
Relationships -
experienceConfiguration,experienceConfiguration.experienceConfigurationMenus,experienceConfiguration.experienceConfigurationMenus.menuusingincludequery parameter.Sparse fieldsets - supports all fields of
spaceCodewithfieldsquery parameter.
Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>
Universally unique ID (UUID) that identifies the space code.
5efa8b3c-b930-4b31-918d-95ab0e212e64Successful response with space code data in JSON:API format.
Bad request.
Unauthorized.
Space code not found.
Too many requests.
Internal Server Error.
Service is unavailable.
GET /pos/v1/space-codes/{id} HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
"type": "spaceCodes",
"attributes": {
"url": "https://example.com/space",
"designation": "Main Space",
"description": "Primary space for operations",
"direction": "North entrance",
"spaceType": "restaurant",
"classification": "premium",
"capacity": "50"
},
"relationships": {
"experienceConfiguration": {
"data": {
"id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
"type": "experienceConfigurations"
}
}
},
"links": {
"self": "https://api.mews-demo.com/pos/v1/space-codes/5efa8b3c-b930-4b31-918d-95ab0e212e64"
}
}
}Last updated
Was this helpful?